# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-08-12 01:35
from __future__ import unicode_literals

from django.db import migrations


def fille_project_video_field(apps, schema_editor):
    Project = apps.get_model('work', 'Project')
    for project in Project.objects.all():
        if project.video:
            continue

        content = (project.content
                   .exclude(video__isnull=True)
                   .select_related('video')
                   .order_by('position'))[:1]
        if content:
            project.video = content[0].video
            project.image = None
            project.save()


class Migration(migrations.Migration):

    dependencies = [
        ('work', '0006_remove_category_we_are'),
    ]

    operations = [
        migrations.RunPython(fille_project_video_field, migrations.RunPython.noop),
    ]
